Einführung

HTML Hilfe für Color LIFE Sound 4.0

Color LIFE Sound für Windows

HTML Hilfe Hyperlinks:

Spieleinführung:

Color LIFE Sound kennt keine Sieger und Verlierer, manchmal auch kein Ende.

Beginnend unter seinem ursprünglichen Namen "LIFE" hat es sich trotzdem in den letzten Jahrzehnten mit den gestiegenen Fähigkeiten im Bereich des PC zu einem interessanten, interaktiven grafischen Spiel mit wissenschaftlichen Hintergrund entwickelt.

Der wissenschaftliche Hintergrund basiert auf dem Fortpflanzungsverhalten von Mikroorganismen (Zellen).

Die Fortpflanzungsregeln in Color LIFE Sound kann man sich auf einem karierten Blatt Papier vorstellen:

jedes mit einem Kreis markierte Rechteck ist ein lebender Mikroorganismus

ohne Markierung wird das Rechteck hier weiter als Leerfeld bezeichnet

Eine Zelle hat somit acht Nachbarfelder:

je zwei horizontal und vertikal und vier diagonal.

Das Schicksal dieses Mikroorganismus, das ist die Spielregel, hängt nun von der Anzahl der Zellen in seinen Nachbarfeldern ab:

er stirbt an "Einsamkeit", wenn sich in den acht Nachbarfeldern keine oder nur eine weitere Zelle befindet.

er "erstickt", wenn er von vier oder mehr Zellen umgeben ist.

er überlebt, wenn er von zwei oder drei Zellen umgeben ist.

hat ein Leerfeld genau drei Nachbarzellen wird ein neuer Mikroorganismus in diesem Leerfeld geboren.

Durch einmaliges Anwenden der Rechenregeln auf das mit Mikroorganismen belegte Spielfeld ergibt sich somit ein anderes Aussehen. Man spricht auch von einer neuen Generation.

Zwei einfache Beispiele sollen die Rechenregeln weiter verdeutlichen:

Generation 0    1.Generation
(Eingabemuster)

    O                O
    OOO              OO
                      O
2.Generation   3.Generation
                 (konstant)

    OO               OO
    OO              O  O
    OO               OO

(2. Beispiel)
Generation 0    1.Generation

    O   O          OOO OOO
   OOO OOO         OOO OOO
                    O   O

2.Generation ... 58.Generation

    O   O
   O O O O   ...  ausgestorben

   OOO OOO

Sinn des Spiels ist es aus möglichst einfachen Anfangsmustern schöne grafische Muster in den nachfolgenden Generationen entstehen zu lassen, die sich überraschend weiterentwickeln.

Hierzu bietet Ihnen Color LIFE Sound komfortable Unterstützung:

der Grafik-Dialog bietet Möglichkeiten um den Ausgabemodus, die Hintergrundfarbe mit zugehöriger Farbpalette oder die Zellengröße zu variieren.

Das Generationen-Dialogfenster ermöglicht die Schrittweite und Mindestzeit der angezeigten Generationen und die Rechenregel selbst neu zu bestimmen.

Mit den Eingaben des Gestalten-Dialogfensters können Sie durch einen mehrfachen Wechsel der Rechenregel innerhalb eines Ablaufes komplexe Mikroorganismen entstehen lassen oder nach neuen, bemerkenswerten Rechenregeln suchen.

In dem Farben- und Paletten-Dialogfenster wird das farbliche Aussehen der Generationen für den Spielablauf beeinflusst. Die Einstellungen des Farbendialogs beeinflussen auch die Klangausgabe.

Der Klangdialog ermöglicht die Klangausgabe: vierundzwanzig Sounds werden einzeln oder gleichzeitig ausgewählt und in Abhängigkeit von der dargestellten Generation abgespielt. Hierbei kann der Ausgabemodus, die Raumtiefe und der Takt variiert werden.

Durch den Klanggrafikdialog kann der Ablauf der Klangausgabe grafisch sichtbar gemacht werden.

Nähere Einzelheiten hierzu erfahren Sie über die Kontexthilfe in den Dialogfenstern (?-Button oder rechte Maustaste) oder über die Inhaltstaste in der Hilfe-Anwendung.

Sie können auch die gerade aktuelle Generation manipulieren:

hierzu wählen Sie einfach im Menü Color LIFE "Zelleneingabe" oder betätigen die rechte Maustaste oder die F2-Taste und platzieren dann den Cursor entweder mit der Maus oder den Cursortasten auf die Spielfeldposition die Sie ändern möchten. Durch Betätigung der linken Maustaste oder der Leertaste wird an dieser Position eine bestehende Zelle entfernt oder in einem Leerfeld eine neue Zelle geboren.

In der Statuszeile werden zur zusätzlichen Kontrolle die Zellenkoordinaten angezeigt.

Den Spielablauf starten Sie darauf folgend über das Menü durch die Rücknahme von „Pause“ oder „Zelleneingabe“ bzw. "Generation 0 eingeben" oder schneller mit der F2-Taste.

Zum Abschluss der kurzen Einführung noch einige Zellenmuster, die sich nach der Standard-Rechenregel (Leben2,3 Neue3) bemerkenswert verhalten:

  Block  Blinker  Wandermuster
                  (Schrittweite vier Generationen)

   OO      OOO        OOO
   OO                   O
                       O

alternierend      Muster A

    O
    O                 OOO
    O               OOO
   OOO            OOO
    O
    O
    O

Muster B          Muster C

   OOO
    O
    O                 OO
    O               OOOOO
    O
   OOO

können Sie noch weitere interessant ablaufende Eingabemuster auch für andere Rechenregeln angeben ?

Viel Spaß dabei !

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML Hilfetext frei kopierbar


Menübefehle

Menüauswahl

Hauptmenü Color LIFE

- Generation 0 eingeben ! (*):

löscht alle auf dem Spielfeld vorhandenen Zellen und schaltet den Programmstatus auf Eingabe mit einem Zellendurchmesser von 16 um.

(*)Diese Befehle stehen zusätzlich in dem Popup-Menü zur Auswahl, das über die rechte Maustaste geöffnet wird.

- Zelleneingabe (*):

schließt einen noch laufenden Rechenvorgang ab und ermöglicht daraufhin eine Veränderung der Generation mit der linken Maustaste, der Leertaste und der Returntaste.

Der Menübefehl kann schneller mit der F2-Taste ausgewählt werden.

- Klangausgabe (*; nur für Color LIFE Sound):

startet die Klangausgabe der dargestellten Generation.

- Generation > Drucken ... (*):

öffnet das Standard-Dialogfenster Drucken mit der Auswahlmöglichkeit zur einmaligen Druckereinrichtung.

Nach Schließen des Dialogfensters mit dem OK-Button wird die aktuelle Generation zu dem angeschlossenen und eingerichteten Drucker ausgegeben.

Der Vorgang der Datenerzeugung kann mit den Tasten Escape, Pause und mit der Leertaste abgebrochen werden.

Bei einer fehlerhaften oder nicht zufrieden stellenden Generationsausgabe, verwenden Sie bitte folgende Alternativen zur Ausgabe der Generation zum Drucker:

1. Einfügen des Color LIFE Sound-Fensters in die Zwischenablage mit Alt+Druck. Von der Zwischenablage kann die Generation mit einem Grafikprogramm, z.B. Paint, eingeholt, weiterbearbeitet und ausgedruckt werden.

2. Erstellen einer Bitmapdatei von der Generation über den Menüpunkt Generation > Speichern... (s.u.). Die Weiterverarbeitung und Ausgabe dieser Bitmap kann dann mit einem Grafikprogramm vorgenommen werden.

- Generation > Speichern ... (*):

öffnet das Standard-Dialogfenster "Datei Speichern unter" zur Eingabe eines Dateinamens.

In diese Datei wird die aktuell angezeigte Generation als Bitmap abgespeichert.

Der Vorgang der Datenerzeugung kann mit den Tasten Escape, Pause und mit der Leertaste abgebrochen werden.

- Pause (*):

beendet die Berechnung neuer Generationen und verhindert eine Veränderung des Zellenmusters. Ist die Checkbox fortlaufend im „Palette“-Dialogfenster markiert, wird die gleiche Generation kontinuierlich mit einer fortlaufenden Farbpalette dargestellt.

Der Menübefehl kann auch mit der Pausetaste ausgewählt werden.

Der Pausestatus kann nur über die Menüauswahl wieder aufgehoben werden.

- Ende ! :

beendet Color LIFE Sound

Hinweis: Bei der Beendigung von Color LIFE Sound werden die aktuellen Programmeinstellungen in die Windows-Registrierung abgespeichert und beim nächsten Programmstart wieder eingelesen. Hiervon ausgenommen sind der Zellendurchmesser, der nach jedem Programmstart variabel ermittelt wird (Checkboxen „variabel“ markiert und „< 1“ demarkiert) und die Checkboxen "fortlaufend“ und "Farbendialog" des Paletten-Dialogfensters. Für die Gruppe der selbstdefinierten Farben werden alle Grundfarben mit ihren Schattierungswerten abgespeichert.

Ablauf... und Darstellung... (*)

Es werden innerhalb zweier Property Sheets Dialogfenster angezeigt, deren interne Auswahlmöglichkeiten über die in der Property Sheet integrierte Kontexthilfe (F1-Taste, ?-Button oder rechte Maustaste) oder insgesamt über die Hilfetaste erläutert werden.

Hauptmenü Hilfe

- Language>English / German / Spanish / Portuguese / Italian / French

Sprachauswahl der Bedieneroberfläche und des HTML-Hilfesystems

- Language>Help system>English / German / Spanish / Portuguese / Italian / French / other

Sprachauswahl des HTML-Hilfesystems. Für „other“ können noch weitere HTML Hilfetexte unter dem Dateinamen CLifeSound4_0_other.chm eingebunden werden.

- Einführung F1:

Allgemeine Spielbeschreibung von Color LIFE Sound

- Menübefehle :

dieser Hilfetext

- ueber ... :

zeigt ein Dialogfenster mit Informationen zu Color LIFE Sound an


Speicherbelegung

Der Speicherbedarf von Color LIFE Sound ist abhängig von

1. der Fenstergröße in Windows in Verbindung mit der in der Grafik-Dialogbox eingestellten Zellengröße und

2. dem aktuellen Umfang der Generation

wobei der größere Wert von beiden maßgebend ist.

Beispiele:

1. die Fenstergröße nach dem Start von Color LIFE Sound beträgt 498*444 Pixel.
Die Zellengröße beträgt dann 16*16 Pixel, wodurch mit einem Zwischenraum zur nächsten Zelle 20*20 Pixel belegt sind.

Hierdurch werden 498/20+30 Spalten und 444/20+30 Zeilen für das Color LIFE Sound-Spielfeld benötigt. Die zusätzlichen dreißig Zeilen und Spalten sind für eine spielfeldrandnahe Eingabe der Mikroorganismen erforderlich.

Die beiden ganzzahligen Ergebnisse miteinander multipliziert ergeben einen Speicherbedarf von 5830 Bytes, da eine Zelle zwei Bytes beansprucht.

Des weiteren sind für zusätzliche Spielfeldinformationen zweimal die Zeilenanzahl (hier: 53) und zweimal die Spaltenanzahl (hier: 55) zu belegen.

Somit ergibt sich insgesamt ein dynamischer Speicherbedarf nach dem Start von Color LIFE Sound von 6046 Bytes.

2. bei der selben Fenstergröße aber einem Zellendurchmesser von 5 Pixel ohne Zwischenraum, ergibt sich ein Speicherbedarf nach der obigen Berechnung von 31438 Bytes.

3. das belegte Spielfeld einer Generation, das größer als das Color LIFE Sound-Fenster ist, umfasst 800 Zeilen und Spalten.

Hierdurch werden 1280000 Bytes für ein Spielfeld benötigt.
Der gesamte Speicherbedarf beträgt 1283200 Bytes.

Ist ein Speicherbedarf nicht belegbar, wird eine Meldung hierüber ausgegeben, worin Sie aufgefordert werden entweder das Color LIFE Sound-Fenster zu verkleinern, den Zellendurchmesser zu vergrößern oder andere Anwendungen zu schließen. Color LIFE Sound kann vorerst mit dem noch belegbaren Speicher fortgeführt werden, da eine Spielfeldausdehnung höchstens 2 Zeilen und 2 Spalten pro Generation betragen kann.

Steht der Speicherbedarf soweit nicht mehr zur Verfügung, dass Fehlberechnungen an den Spielfeldgrenzen die Folge wären, wird der Programmablauf mit der Eingabe von Generation 0 und einem Zellendurchmesser von 16 fortgesetzt. Dieses wird auch bei einer Vergrößerung des Color LIFE Sound-Fensters und nicht ausreichendem Speicher hierfür durchgeführt, da sonst bei einer Eingabe nicht zugewiesene Speicherbereiche angesprochen werden können.


Generationen...

Dialogfenster Generationen

Rechenregel

wählen Sie hier die Anzahl der Zellennachbarn nach der sich die einzelnen Generationen neu errechnen.

Die Standard-Rechenregel ist

Leben2,3 Neue3

Hierdurch überleben bereits existierende Mikroorganismen mit 2 oder 3 Nachbarn und in Leerfeldern mit 3 Nachbarn werden neue geboren.

Alle anderen Mikroorganismen sterben und weitere Leerfelder bleiben unverändert.

Achten Sie bei Ihrer Eingabe auf die vorgegebene Eingabeschablone.

Werden zwei Ziffern mit einem Bindestrich "-" verbunden, sind auch alle zwischen beiden Ziffern liegenden Zahlen ausgewählt. Hierdurch ersparen Sie sich Eingabearbeit.

Nach einem Semikolon ";" können Sie die Rechenregeln mit einem charakteristischen Kommentar versehen. Üblicherweise wird hier das spezielle Aussehen der Generationen beschrieben.

Mindestzeit

hier können Sie den Zeitabstand eingeben, der zwischen der Anzeige zweier Generationen mindestens vergeht.

Die Zeiteinheit ist 10 ms, d.h. ein Eintrag von 100 entspricht einer Sekunde Zeitabstand.

Anm.: Die Zeit für das Errechnen der Generationen ist hierin nicht enthalten. Dieses macht sich stärker bei einer großen Schrittweite bemerkbar, da die nächsten Generationen erst nach Ablauf der ausgewählten Mindestzeit berechnet werden. Hierdurch haben Sie aber den Vorteil solange wie möglich Änderungen an der aktuell dargestellten Generation vornehmen zu können.

Schrittweite

geben Sie hier den Abstand der an zu zeigenden Generationen an:

eine Schrittweite von 5 zeigt die Generationen 5,10,15... in dem Color LIFE Sound-Fenster nacheinander an.

Speichern . . .

hierdurch wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen über das die aktuellen Rechenregeln in eine Datei abspeichert werden können.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ".RR" für Rechenregel.

Laden . . .

hierdurch wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen, über dass die Rechenregeln aus einer vorher abgespeicherten Datei wieder eingeholt werden können.


Gestalten...

Dialogfenster Gestalten

Gestalten

mit den Eingaben dieses Dialogfensters können Sie einen Mikroorganismus mit verschiedenen Rechenregeln gestalten oder nach neuen, bemerkenswerten Rechenregeln suchen.

Der Wechsel zur nächsten Rechenregel erfolgt nach einer Anzahl von Generationen bis zum Ablaufende nach einer weiteren Anzahl von Generationen. Danach wird mit dem letzten Eingabemuster von Generation 0 ein neuer Gestaltungsablauf begonnen.

Für Color LIFE Sound (2D) ergeben sich bei acht möglichen Zellennachbarn für Leben 0-8 512 Möglichkeiten, für Neue 1-8 256 Möglichkeiten insgesamt 131072 mögliche Rechenregeln.

Für einen neuen Gestaltungsablauf gehen Sie bitte wie folgt vor:

am einfachsten ist das Laden einer gespeicherten Einstellung aus einer Datei über den Laden-Schalter im Gestalten-Dialogfenster oder nachfolgende Punkte 1. bis 6.

1. zuerst die Ausgangsrechenregel von der Comboboxliste des Generationen- Dialogfensters auswählen.

2. Den Menüpunkt ”Generation 0 eingeben” aus dem Color LIFE-Menü markieren.

3. Das Ausgangsmuster für alle Abläufe eingeben. Die Zelleneingaben hierfür sind nur bei Generation 0 mit einem unveränderten Eingabedurchmesser gültig.

4. Die weiteren Einstellungen im Gestalten-Dialogfenster vornehmen.

5. Den Gestaltungsablauf über die ”aktivieren”-Checkbox im Gestalten-Dialogfenster gültig geben und den Eingabemodus über die rechte Maustaste (F2-Taste) verlassen.

6. Die Einstellungen können über den Speichern-Schalter in eine Datei abspeichert werden.

Schrittweiten für Leben und Neue

tragen Sie bitte für Leben einen Wert von 0 bis 511 und für Neue einen Wert von 0 bis 255 ein. Diese Werte werden bei der Angabe einer neuen Rechenregel zu den bestehenden Werten von Leben und Neue addiert.

Sinnvolle Leben-Werte für das Gestalten von Mikroorganismen sollten in dem Bereich von 0 bis 4 und für das Suchen nach neuen, markanten Rechenregeln zwischen 1 und 4 liegen.

Für Suchen ist die Checkmarke ”zufällig in diesem Bereich” zu entfernen.

Der Wert unter Neue kann größer sein und wird für die Angabe der neuen Rechenregel zuerst verwendet, wenn die Checkbox ”zufällig in diesem Bereich” demarkiert ist.

zufällig in diesem Bereich

wenn markiert, werden in dem Bereich der Schrittweiten von Leben und Neue zufällige Werte gebildet die immer zu der gewählten Ausgangsrechenregel addiert werden.

Wenn demarkiert, werden die Werte von Leben und Neue zu der bestehenden Rechenregel addiert wodurch die neue Rechenvorschrift entsteht.

Generationen für Wechsel und Ende

der Wert unter Wechsel bestimmt die Schrittweite der Generationen, nach der zu einer neuen Rechenregel gewechselt werden soll.

Für einen Wert von 50 wird für die Berechnung der Generationen ab 51, 101, 151, 201,... eine neue Rechenregel verwendet.

Mit der Generation unter Ende wird die Gestaltung des Mikroorganismus abgeschlossen und der Ablauf mit dem Ausgangsmuster und einer neuen Rechenregel fortgesetzt.

Für das Suchen nach neuen Rechenregeln ist der Wert von Ende gleich dem von Wechsel zu setzen.

Nachfrage vor Generation 0

wenn markiert, wird der Programmablauf durch Ausgabe eines Benachrichtigungsfensters unterbrochen, bevor der letzte Mikroorganismus des Gestaltungsablaufes angezeigt wird.

aktivieren

ist diese Checkbox markiert, wird Color LIFE Sound mit dem Gestaltungsablauf fortgesetzt. Nach dem Programmstart wird ein unterbrochener Ablauf fortgeführt.

aus RR-Liste

wenn markiert, wird die neue Rechenvorschrift der Comboboxliste des Generationen-Dialogfensters entnommen.

Hierzu geben die Werte der Schrittweiten von Leben und Neue den Start- und Endwert der bedeutenden Rechenregeln in der Comboboxliste an.

Anm.: dieser Ablauf wird nur bei einer markierten Checkbox ”aktivieren” gültig und wird zusammen mit der aktuellen Rechenregeldatei in eine Gestaltungsdatei abgespeichert.
Wichtig: zum Auffinden der Rechenregeldatei auch nach dem Programmstart, muss diese im "Rechnen"-Ordner unterhalb des Programmordners abgelegt sein !

Speichern . . .

hierdurch wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen, über das die aktuellen Einstellungen für den Gestaltungsablauf in eine Datei abspeichert werden können.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ”.Gen” für Gestalten.

Laden . . .

hierdurch wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen, über das die Gestaltungsvorgaben aus einer abgespeicherten Datei wieder eingeholt werden können.


Klang...

Dialogfenster Klang

Ausgabekonzept

Der Zuhörer wird mittels 3D-Klang an den in der Mitte eines virtuellen Raumes angestoßenen Klängen vorbeigeführt. Hierbei wird der Standort in der Tiefe von dem Farbindex der Zelle des Ausgabebildes abgeleitet.

Ist keine Zelle vorhanden kann der Zuhörer an seiner Position verbleiben oder sich in die Raummitte, nach vorne, hinten oder an eine wahlfreie Position versetzen lassen.

Die Größe des virtuellen Klangraumes ist in xy-Richtung die Fenstergröße von Color LIFE Sound und in z-Richtung die senkrechte Fenstergröße jeweils multipliziert mit einem Raumfaktor. Der Raumfaktor berechnet sich aus dem Wert des Editierfelds „Raumgröße“ (0 bis 99) multipliziert mit Raumgröße / 10 + 1 und kann so einen Wert von 0 bis 1079 annehmen.

Die Zuhörerposition ergibt sich in xy-Richtung aus der Zellenposition und in z-Richtung aus dem Farbindex der Zelle (0-255) multipliziert mit der Raumtiefe und wieder geteilt durch den maximalen Farbindex 255.

Wichtiger Hinweis: der Zellenfarbindex und somit die z-Position des Zuhörers ist nicht von der ausgewählten Farbpalette abhängig, sondern wird neben der Rechenregel nur noch von den Einstellungen des Farben-Dialogs beeinflusst.

Bei der Klangausgabe kann unter sechs Ausgabemodi ausgewählt und der Klangtakt eingestellt werden. Jeder Ausgabemodus umfasst normalerweise das größte gemeinsame Rechteck der Generation, kann aber auch nur auf das Zellenmuster begrenzt werden.

Es wird nur der sichtbare Generationsanteil nach seiner Berechnung und Ausgabe zum Color LIFE Sound Fenster in Zuhörerpositionen umgesetzt. Dieses ist auch für einen Zellendurchmesser kleiner als eins gültig.

Die Positionen der Klänge und des Zuhörers werden in das Klanggrafik-Dialogfenster ausgegeben. Hierdurch verringert sich aufgrund der hierzu erforderlichen Ausgabezeit der eingestellte Klangtakt.

Anmerkung: um einen Klangbruch nach mehr als 256 berechneten Generationen zu vermeiden, sollte der Farbwechsel im Farben-Dialogfenster einen größeren Wert erhalten: zwei für bis zu 512 Generationen, drei für bis zu 768 Generationen usw. ! Danach müssen die Generation mit einem neuen Zellenfarbindex erneut berechnet werden !

Start / Stop !

Startet die Klangausgabe des sichtbaren Generationsanteils nach der Berechnung und Ausgabe zum Fenster. Eine laufende Klangausgabe wird sofort beendet.

Modus

von oben

die Zellen aller Generationszeilen werden von oben abgearbeitet (nur von links nach rechts, nicht zurück).

von links

die Zellen der Generationsspalten werden von links (hin von oben nach unten und zurück von unten nach oben) abgearbeitet.

von aussen

bei diesem Modus wird der Klang einer Generation spiralförmig von außen wiedergegeben.

von unten

die Zellen aller Generationszeilen werden von unten (hin von rechts nach links und zurück von links nach rechts) abgearbeitet.

von rechts

die Zellen der Generationsspalten werden von rechts abgearbeitet (nur von unten, nicht zurück).

von innen

dieser Modus gibt den Klang einer Generation spiralförmig von innen wieder.

Beachten Sie bitte hierzu die Ausgabe der Klang- und Zuhörerposition im Klanggrafik-Dialogfenster.

nur das Muster

Ohne Checkmarke, wird das größte gemeinsame Rechteck der Generation in Klangpositionen für den Zuhörer umgesetzt. Hierbei werden auch alle Felder von Zeilen und Spalten ohne Zellen berücksichtigt.

Wenn markiert, werden die Klänge nicht für das umfassende Rechteck der Generation, sondern nur von der ersten bis zur letzten Zelle jeder Zeile und Spalte ausgegeben.

Bei Leerzeilen und Leerspalten wird der Zuhörer auf die Klangposition für das letzte Leerfeld gesetzt.

Takt

Hier wird eingestellt wie schnell dem Zuhörer (Ihnen) eine neue Position zugewiesen wird.

Verändern Sie hierzu bitte den Regler entsprechend.

Der durch die Reglerstufe resultierende Takt ist von der Geschwindigkeit des Prozessors abhängig.

Leerfeldposition

Bestimmen Sie hier Ihre z-Position für ein Leerfeld. Ein Leerfeld ist ein Feld innerhalb der Generation auf dem sich keine Zelle befindet. Für “unverändert” verbleiben Sie an der z-Position der letzten Zelle. „Zufällig“ wählt wahlfrei eine Raumtiefe.

Raumgröße

Hier wählen Sie den Multiplikator zur Berechnung der Raumpositionen der Klänge und des Zuhörers. Ein hoher Wert vergrößert den Raum und es ergeben sich Doppler-Effekte. Der zulässige Wert ist von null bis 99. Null belässt die Klänge und den Zuhörer an der gleichen Position.


Sounds...

Dialogfenster Sounds

Sounds

Hier werden die vierundzwanzig Sounds des aktuellen Klangthemas ausgewählt. Die Sounds werden wiederholend und gleichzeitig wiedergegeben.

Klangthema

Zur Auswahl stehen das Basisklangthema „Color LIFE“, zwei Klangthemen mit musikalischen und eines mit einer bunten Sammlung von Sounds.

Lautstärke

Mit dem Schieberegler kann die Lautstärke aller Sounds eingestellt werden. Hierzu müssen Sie mit den Pfeiltasten über die Checkboxen bis zum gewünschten Sound navigieren und danach die Einstellung der Lautstärke mit dem Schieberegler durchführen. Mit der Tab-Taste navigieren Sie zu den Sounds - Checkboxen innerhalb des Dialogfensters.

Speichern

hierdurch wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen über das die Klangeinstellungen mit den aktuellen Gestaltungsdaten in eine Datei abspeichert werden können.

Geben Sie hierzu den Pfad und Namen der Datei ein. Die Dateiendung ist standardmäßig ".Klg" für Klang.

Laden

hierdurch wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen, über das die Klangeinstellungen mit den Gestaltungsdaten aus einer abgespeicherten Datei wieder eingeholt werden können.

Beachten Sie bitte bei den mitgelieferten Klangdateien, dass der Takt von der Prozessorgeschwindigkeit abhängt und somit auf jedem PC verschieden ist.


Grafik...

Dialogfenster Grafik

Ausgabemodus

wählen Sie hier die Darstellungsart der Generationen in dem Color LIFE Sound-Fenster von Windows:

Zellenform

die einzelnen Zellen werden getrennt voneinander in der aktuellen Zellengröße als Kreis ausgegeben.
Linienform

hier wird der Mikroorganismus in Pixelgröße ausgegeben. Die vorhandenen Nachbarzellen werden durch eine Linie mit jedem Mikroorganismus verkettet.
beide Modi

in der linken Fensterhälfte werden die Generationen in Zellenform und in der rechten Hälfte in Linienform dargestellt.

Direkte Grafik

die Grafikausgabe kann von Color LIFE Sound über das Graphics Device Interface (GDI) oder mit Direkter Grafik (DirectDraw) direkt zur Grafikkarte vorgenommen werden.

Anmerkungen:

Sollten bei der Darstellung der Generationen insbesondere in Linienform oder mit Pixelgröße Probleme auftreten, verwenden Sie bitte das GDI (Checkbox nicht markiert).

Bei einem Zellendurchmesser von zwei werden für die Zellen Rechtecke ausgegeben.

Geschwindigkeitseinbußen sind bei älteren Grafikkarten möglich, für die Software die Direkte Grafik durchführt (Emulation).

Hintergrund

weiß, grün, hellgrau, schwarz, blau, orange, rot, braun

wählen Sie hier die gewünschte Farbe des Hintergrundes für die Darstellung der Generationen aus. Hierdurch wird auch eine neue Farbpalette für die Zellen gültig die mit dem Hintergrund harmoniert.
selbstdefiniert

wenn markiert, ist die von Ihnen in dem Palette-Dialogfenster erstellte Farbpalette gültig.

Nähere Hinweise zu dem Erstellen ihrer Farbpalette erhalten Sie über die Hilfetaste des Palettendialogfensters oder über die Inhaltstaste der Hilfeanwendung.

Zellengröße

geben Sie in der Editierkontrolle den gewünschten Durchmesser der Zelle in Pixelwerten des Bildschirmes ein. Ein bis dreißig Pixel sind erlaubt. Mit markierter Checkbox „< 1“ minus 10 bis dreißig (s. kleiner eins).

Anm.: Eine schnelle Änderung der Zellengröße wird über die Zifferntasten 0 bis 9 ermöglicht, wobei die null den Durchmesser für die Eingabe der Generation 0 wieder herstellt.

variabel

wenn markiert, variiert Color LIFE Sound ausgehend von dem aktuellen Durchmesser selbständig die Zellengröße. Richtlinie hierbei ist, dass alle Zellen einer Generation in dem Fenster dargestellt werden können. Der variable Durchmesser des Mikroorganismus geht von eins bis sechzehn. Wenn die Checkbox „< 1“ markiert ist, von minus zehn bis sechzehn (s. kleiner eins).

Das Markierungsfeld wird bei einer gültigen Neueingabe der Zellengröße automatisch demarkiert und bei jeder Eingabe von Generation 0 markiert.

dezimal (* 10)

Mit einem dezimalen Zellendurchmesser kleiner als drei Pixel, werden auch teilweise oder ganz verdeckte Zellen bei der Ausgabe berücksichtigt.

Hierbei wird die Zellenfarbe als Mittelwert der Palettenindizes aller beteiligten Zellen angezeigt.

Bei einem dezimalen Zellendurchmesser genauer als ein Pixel, ist wegen fehlender Zuordnung keine Zelleneingabe zugelassen.

Anm.: Bei einem Zellendurchmesser größer als 1/2 Pixel werden nur teilweise sichtbare Leerfelder mit einer Nachbarzelle nicht angezeigt. Hierdurch werden insbesondere bei einfachen Mustern falsche Darstellungen der Generationen vermieden.

Ohne dezimalen Zellendurchmesser erfolgt die Darstellung der Generationen mit Zellengrößen kleiner als ein Pixel durch Auslassen von Zellenzeilen und -spalten. Bei einer Zellengröße von 1/2 Pixel wird nur jede 2. Zellenzeile /-spalte ausgegeben, bei 1/3 nur jede 3. usw. .
Aus diesem Grund werden die Generationen, abhängig vom Muster, erheblich verfälscht dargestellt.

kleiner eins (< 1)

wenn markiert, darf Color LIFE Sound die Generation auch mit Zellengrößen kleiner als ein Pixel anzeigen. Die Werte werden als negative Zahlen in die Editierkontrolle eingetragen: -2 für 1/2, -3 für 1/3, ... bis -10 für 1/10.


Farben...

Dialogfenster Farben

Modus

wählen Sie hier die Farbdarstellungsart der Generationen:

Zellenalter

die Zellenfarbe wechselt mit dem Alter der Zelle.
Generation

die Zellenfarbe ist von der Generation abhängig in der sie entsteht.

Ein neuer Modus verändert die Zuhörerposition einer Klangausgabe.

Anmerkung

Anzahl

geben Sie hier die Anzahl der Farben zur Darstellung der Generationen an:

bei bis zu 16 Farben werden nur Grundfarben verwendet. Bei mehr als 16 Farben werden die Grundfarben mit ihren ersten Schattierungen eingesetzt.

Wenn die ausgewählte Farbanzahl erreicht ist, wird wieder zur ersten Farbe gewechselt.

Bei den ersten Standard-Rechenregeln ist für eine bunte Darstellung der Generationen die Farbanzahl auf die 16 Grundfarben zu begrenzen.

Die Farbanzahl beeinflusst die Klangausgabe:

eine geringere Farbanzahl führt zu einer schnelleren Veränderung der Zuhörerposition. Hierbei kommt es zu einem Klangbruch, wenn mehr Generationen berechnet wurden als Farben vorhanden sind.

Mittelwert

wenn markiert, werden überlagerte Zellen mit einem dezimalen Durchmesser kleiner als drei Pixel durch die Mittelwerte ihrer Farben dargestellt. Hierdurch werden die Generationen mit Farben dargestellt, die außerhalb der gewählten Palette liegen.

Wenn demarkiert, werden die Zellenfarben über den Mittelwert der Palettenindizes ermittelt.

Beide Darstellungen haben nur Einfluss auf dezimale Zellendurchmesser, wenn diese genauer als ein Pixel sind.

Wechsel

gibt die Anzahl der Generationen an, nach denen die Zellen in der nächsten Farbe der aktuellen Palette angezeigt werden.

Zur Darstellung von komplexen Mustern sollten Sie hier einen Wert größer als eins eingeben: für Schmetterlingsmuster mit 1000 Generationen ergibt ein Wert von vier eine gute Darstellung.

Ein größerer Wert verzögert bei einer Klangausgabe einen Klangbruch.

Anmerkung


Palette...

Dialogfenster Palette

Farbenfelder mit Hintergrundfarbe

Die Farbenfelder zeigen die Grundfarben oder 16 Palettenfarben über der Hintergrundfarbe an. Eine Auswahl kann nur über den Mauszeiger erfolgen.

Grundfarben

In den Farbenfeldern werden die 16 Grundfarben der aktuellen Farbpalette angezeigt.

Alle weiteren Farben der Palette werden von diesen Grundfarben über die eingestellten RGB-Schrittweiten abgeleitet.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der Grundfarben der Palette geöffnet.

Bei einer nochmaligen Betätigung wechselt "RGB-Schrittweiten" zu "Grundfarbwert 1" und in den RGB-Editierfeldern kann der Farbwert der ersten Grundfarbe verändert werden.

Wird der Mauszeiger über einem Farbfeld gedrückt, können weitere Grundfarben oder die Hintergrundfarbe eingegeben werden.

Hinweis !

nur die erste (Grundfarbe)

wenn markiert, wird nur die erste Grundfarbe zur Ermittlung der Schattierungen der Selbstdefinierten Palette herangezogen. Hierdurch wird ein weiches Farbbild mit sanften Übergängen zur Darstellung der Generationen erzeugt.

Hinweis !

fortlaufend

wenn markiert, werden die Grundfarben nach jeder Generationsberechnung um die aktuellen RGB-Schrittweiten verändert. Ist „nur die erste“ Checkbox markiert, wird nur die erste Grundfarbe neu berechnet.

Werden nach der Markierung der Checkmarke die RGB-Schrittweiten verändert, hat dieses nur noch Auswirkungen auf die Schrittweiten der 15 Schattierungswerte jeder Grundfarbe, beeinflusst aber nicht mehr die Änderungsschrittweiten der Grundfarben selbst.

Bei einer Spielpause werden die neuen Farben für die aktuelle Generation fortlaufend neu berechnet und angezeigt.

Hinweis !

Windows Farbendialog

wenn markiert, wird auf Betätigung der Tasten Grundfarben, Hintergrund und Palette zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der Palettefarben geöffnet.

Hintergrundfarbwert

"RGB-Schrittweiten" ändert sich zu "Hintergrundfarbwert". In den Editierfeldern kann die Hintergrundfarbe verändert werden.

In den Farbenfeldern werden über der Hintergrundfarbe die Grundfarben angezeigt.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur Auswahl der Hintergrundfarbe geöffnet.

Hinweis !

RGB-Schrittweiten

bestimmt die Schrittweiten mit der die Schattierungswerte der Selbstdefinierten Farbpalette von den Grundfarben neu abgeleitet werden (-17 bis 17).

Sie können hier die Werte für rot, grün und blau aus denen sich eine Farbe zusammensetzt getrennt eingeben.

Eine große Schrittweite führt zu starken Veränderungen der abgeleiteten Farbwerte von den Grundfarben.

Hinweis !

Palettefarben

"Grundfarben" ändert sich zu "Palettefarben 1 - 16" und "RGB-Schrittweiten" zu "Palettefarbwert 1".

In den Farbfeldern werden die ersten 16 Farben der aktuellen Farbpalette mit einer Grundfarbe und den davon abgeleiteten Schattierungen angezeigt.

In den RGB-Editierfeldern kann jede Palettefarbe einzeln verändert werden.

Auf jede weitere Betätigung der Palette-Taste werden die nächsten 16 Farben der Palette in den Farbfeldern angezeigt.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der aktuellen 16 Palettefarben geöffnet.

Hinweis !

Speichern . . .

Zur Abspeicherung der Selbstdefinierten Palette wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ".PAL" für Palette.

Laden . . .

Zum Einholen einer Farbpalette wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen.

Nach dem Laden ist die Selbstdefinierte Palette der Grafik-Dialogbox automatisch selektiert.


Windows Farben-Dialog...

Farben Dialogfenster von Windows

Grundfarben

die in dem Dialogfenster dargestellten Farben sind die sechzehn Grundfarben der Farbpalette aus denen über die eingestellte Schrittweite weitere fünfzehn Farben abgeleitet werden.

Die Gruppe der benutzerdefinierten Farben hat hierbei für den Spielablauf von Color LIFE Sound folgende Bedeutung (von links nach rechts in der oberen Reihe beginnend - danach von links nach rechts in der unteren Reihe):

  1. Grundfarbe für die Zellen mit einem Alter von 0 bis 15 Generationen (Farbmodus: Zellenalter) bzw. für Generation 0 bis 15 (Farbmodus: Generation)
  2. Grundfarbe für die Zellen mit einem Alter von 16 bis 31 Generationen (Farbmodus: Zellenalter) bzw. für Generation 16 bis 31 (Farbmodus: Generation)
  3. Grundfarbe für die Zellen mit einem Alter von 32 bis 47 Generationen (Farbmodus: Zellenalter) bzw. für Generation 32 bis 47 (Farbmodus: Generation)
  4. Grundfarbe für die Zellen mit einem Alter von 48 bis 63 Generationen (Farbmodus: Zellenalter) bzw. für Generation 48 bis 63 (Farbmodus: Generation)
  5. Grundfarbe für die Zellen mit einem Alter von 64 bis 79 Generationen (Farbmodus: Zellenalter) bzw. für Generation 64 bis 79 (Farbmodus: Generation)
  6. Grundfarbe für die Zellen mit einem Alter von 80 bis 95 Generationen (Farbmodus: Zellenalter) bzw. für Generation 80 bis 95 (Farbmodus: Generation)
  7. Grundfarbe für die Zellen mit einem Alter von 96 bis 111 Generationen (Farbmodus: Zellenalter) bzw. für Generation 96 bis 111 (Farbmodus: Generation)
  8. Grundfarbe für die Zellen mit einem Alter von 112 bis 127 Generationen (Farbmodus: Zellenalter) bzw. für Generation 112 bis 127 (Farbmodus: Generation)
  9. Grundfarbe für die Zellen mit einem Alter von 128 bis 143 Generationen (Farbmodus: Zellenalter) bzw. für Generation 128 bis 143 (Farbmodus: Generation)
  10. Grundfarbe für die Zellen mit einem Alter von 144 bis 159 Generationen (Farbmodus: Zellenalter) bzw. für Generation 144 bis 159 (Farbmodus: Generation)
  11. Grundfarbe für die Zellen mit einem Alter von 160 bis 175 Generationen (Farbmodus: Zellenalter) bzw. für Generation 160 bis 175 (Farbmodus: Generation)
  12. Grundfarbe für die Zellen mit einem Alter von 176 bis 191 Generationen (Farbmodus: Zellenalter) bzw. für Generation 176 bis 191 (Farbmodus: Generation)
  13. Grundfarbe für die Zellen mit einem Alter von 192 bis 207 Generationen (Farbmodus: Zellenalter) bzw. für Generation 192 bis 207 (Farbmodus: Generation)
  14. Grundfarbe für die Zellen mit einem Alter von 208 bis 223 Generationen (Farbmodus: Zellenalter) bzw. für Generation 208 bis 223 (Farbmodus: Generation)
  15. Grundfarbe für die Zellen mit einem Alter von 224 bis 239 Generationen (Farbmodus: Zellenalter) bzw. für Generation 224 bis 239 (Farbmodus: Generation)
  16. Grundfarbe für die Zellen mit einem Alter von 240 bis 255 Generationen (Farbmodus: Zellenalter) bzw. für Generation 240 bis 255 (Farbmodus: Generation)

Hintergrund

die Farbe links-oben in der Gruppe der benutzerdefinierten Farben ist für den Hintergrund vorgesehen. Wählen Sie hier möglichst eine einfache Farbe, die noch nicht als Grundfarbe oder als davon abgeleitete Farbe vorkommt.

Palette

die in den sechzehn aufeinander folgenden Dialogfenstern dargestellten Farben bilden die Farbpalette zur Darstellung der Zellen.

Die Gruppe der benutzerdefinierten Farben hat hierbei für den Spielablauf von Color LIFE Sound folgende Bedeutung (von links nach rechts in der oberen Reihe beginnend - danach von links nach rechts in der unteren Reihe):

  1. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 0 bis 15 Generationen (Farbmodus: Zellenalter) bzw. für Generation 0 bis 15 (Farbmodus: Generation)
  2. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 16 bis 31 Generationen (Farbmodus: Zellenalter) bzw. für Generation 16 bis 31 (Farbmodus: Generation)
  3. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 32 bis 47 Generationen (Farbmodus: Zellenalter) bzw. für Generation 32 bis 47 (Farbmodus: Generation)
  4. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 48 bis 63 Generationen (Farbmodus: Zellenalter) bzw. für Generation 48 bis 63 (Farbmodus: Generation)
  5. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 64 bis 79 Generationen (Farbmodus: Zellenalter) bzw. für Generation 64 bis 79 (Farbmodus: Generation)
  6. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 80 bis 95 Generationen (Farbmodus: Zellenalter) bzw. für Generation 80 bis 95 (Farbmodus: Generation)
  7. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 96 bis 111 Generationen (Farbmodus: Zellenalter) bzw. für Generation 96 bis 111 (Farbmodus: Generation)
  8. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 112 bis 127 Generationen (Farbmodus: Zellenalter) bzw. für Generation 112 bis 127 (Farbmodus: Generation)
  9. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 128 bis 143 Generationen (Farbmodus: Zellenalter) bzw. für Generation 128 bis 143 (Farbmodus: Generation)
  10. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 144 bis 159 Generationen (Farbmodus: Zellenalter) bzw. für Generation 144 bis 159 (Farbmodus: Generation)
  11. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 160 bis 175 Generationen (Farbmodus: Zellenalter) bzw. für Generation 160 bis 175 (Farbmodus: Generation)
  12. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 176 bis 191 Generationen (Farbmodus: Zellenalter) bzw. für Generation 176 bis 191 (Farbmodus: Generation)
  13. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 192 bis 207 Generationen (Farbmodus: Zellenalter) bzw. für Generation 192 bis 207 (Farbmodus: Generation)
  14. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 208 bis 223 Generationen (Farbmodus: Zellenalter) bzw. für Generation 208 bis 223 (Farbmodus: Generation)
  15. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 224 bis 239 Generationen (Farbmodus: Zellenalter) bzw. für Generation 224 bis 239 (Farbmodus: Generation)
  16. Grundfarbe und davon abgeleitete Farben für die Zellen mit einem Alter von 240 bis 255 Generationen (Farbmodus: Zellenalter) bzw. für Generation 240 bis 255 (Farbmodus: Generation)

Farbeingabe

1. wählen Sie die Farbe die Sie ändern möchten aus der Gruppe der benutzerdefinierten Farben aus:

klicken Sie mit der Maus direkt auf die Farbe oder
bewegen Sie mit der Tabulatortaste der Tastatur den Rahmen des selektierten Elementes (Eingabefokus) in die Gruppe der benutzerdefinierten Farben. In dieser Gruppe wählen Sie mit den Cursortasten die zu ändernde Farbe aus.

2. wählen Sie die neue Farbe aus:

klicken Sie mit der Maus auf eine der Grundfarben oder auf eine der Farben in dem Farbspektrum an der rechten Seite des Dialogfensters oder
bewegen Sie den Eingabefokus mit der Tastatur wie oben beschrieben auf eine der Grundfarben und wählen diese durch Betätigung der Leertaste aus oder geben Sie Zahlen in die Editierkontrollen auf der rechten Seite des Dialogfensters ein.

3. fügen Sie die Farbe in die Gruppe der benutzerdefinierten Farben ein:

klicken Sie mit der Maus auf das Schaltfeld "Farbe hinzufügen" oder
bewegen Sie den Eingabefokus mit der Tabulatortaste auf das Schaltfeld "Farbe hinzufügen" und drücken Sie die Leertaste oder die Eingabetaste.

4. wiederholen Sie die Punkte 1. bis 3. um andere Farben auszuwählen.

5. geben Sie die ausgewählten Farben durch Betätigung der "OK"-Schaltfläche gültig oder verwerfen Sie Ihre bisherigen Änderungen durch Betätigung der "Abbrechen"-Schaltfläche.

Die Betätigung der "Abbrechen"-Schaltfläche beendet auch eine Reihenfolge von mehreren Farbdialogfenstern, ohne deshalb Änderungen an vorangegangenen Dialogfenstern zu verwerfen.


Klanggrafik...

Dialogfenster Klanggrafik

Klanggrafik

Mit Klanggrafik wird die Generation zellenweise direkt zum Display ausgegeben.

Hierzu können Sie den Ausgabemodus und auch die Geschwindigkeit mit den Einstellungen auf der Klang-Dialogseite verändern.

An

Schaltet zu einer laufenden Klangausgabe die Klanggrafik ein.
Wenn kein Sound ausgewählt ist, wird die Klanggrafik sehr schnell ausgegeben.
Leerfeldpunkt

In dem Klangmuster wird für Zellengrößen größer oder gleich drei für Leerfelder ein Punkt (Pixel) ausgegeben.
SetPixel

Bei Problemen mit der Pixelausgabe direkt zum Display kann hier auch eine Ausgabe mit der PatBlt-Anweisung ausgewählt werden.

Anm.: die Klanggrafik wird nicht mit direkter Grafik durchgeführt, auch wenn die Checkbox auf der Grafik-Dialogseite markiert ist.

Sounds

In den X, Y und Z-Ausgabefenstern wird die Position aller laufenden Sounds ausgegeben.

Die Sounds werden in der Mitte des virtuellen Klangraumes abgespielt.

Zuhörer

In den X, Y und Z-Ausgabefenstern wird die Zuhörerposition für das aktuelle Generationsfeld ausgegeben.

Der Farbindex der Zelle bestimmt die z-Position des Zuhörers.

s.a. Ausgabekonzept


.topic 521
Rechenregel

wählen Sie hier die Anzahl der Zellennachbarn nach der sich die einzelnen Generationen neu errechnen.

Die Standard-Rechenregel ist

                   Leben2,3 Neue3

Hierdurch überleben bereits existierende Mikroorganismen mit 2 oder 3 Nachbarn und in Leerfeldern mit 3 Nachbarn werden neue geboren.

Alle anderen Mikroorganismen sterben und weitere Leerfelder bleiben unverändert.

Achten Sie bei Ihrer Eingabe auf die vorgegebene Eingabeschablone.

Werden zwei Ziffern mit einem Bindestrich "-" verbunden, sind auch alle zwischen beiden Ziffern liegenden Zahlen ausgewählt. Hierdurch ersparen Sie sich Eingabearbeit.

Nach einem Semikolon ";" können Sie die Rechenregeln mit einem charakteristischen Kommentar versehen. Üblicherweise wird hier das spezielle Aussehen der Generationen beschrieben.

.topic 522
Mindestzeit

hier können Sie den Zeitabstand eingeben, der zwischen der Anzeige zweier Generationen mindestens vergeht.

Die Zeiteinheit ist 10 ms, d.h. ein Eintrag von 100 entspricht einer Sekunde Zeitabstand.

.topic 523
Schrittweite

geben Sie hier den Abstand der an zu zeigenden Generationen an:
eine Schrittweite von 5 zeigt die Generationen 5,10,15... in dem Color LIFE Sound-Fenster nacheinander an.

.topic 524
Speichern...

hierdurch wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen über das die aktuellen Rechenregeln in eine Datei abspeichert werden können.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ".RR" für Rechenregel.

.topic 525
Laden...

hierdurch wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen, über dass die  Rechenregeln aus einer vorher abgespeicherten Datei wieder eingeholt werden können.

.topic 530
Gestalten

mit den Eingaben dieses Dialogfensters können Sie einen Mikroorganismus mit verschiedenen Rechenregeln gestalten oder nach neuen, bemerkenswerten Rechenregeln suchen.

Der Wechsel zur nächsten Rechenregel erfolgt nach einer Anzahl von Generationen bis zum Ablaufende nach einer weiteren Anzahl von Generationen. Danach wird mit dem letzten Eingabemuster von Generation 0 ein neuer Gestaltungsablauf begonnen.

Für Color LIFE Sound (2D) ergeben sich bei acht möglichen Zellennachbarn für Leben 0-8 512 Möglichkeiten, für Neue 1-8 256 Möglichkeiten insgesamt 131072 mögliche Rechenregeln.

Für einen neuen Gestaltungsablauf gehen Sie bitte wie folgt vor:

am einfachsten ist das Laden einer gespeicherten Einstellung aus einer Datei über den Laden-Schalter im Gestalten-Dialogfenster oder nachfolgende Punkte 1. bis 6.

1. zuerst die Ausgangsrechenregel von der Comboboxliste des Generationen-Dialogfensters auswählen.

2. Den Menüpunkt ”Generation 0 eingeben” aus dem Color LIFE-Menü auswählen.

3. Das Ausgangsmuster für alle Abläufe eingeben. Die Zelleneingaben hierfür sind nur bei Generation 0 mit einem unveränderten Eingabedurchmesser gültig.

4. Die weiteren Einstellungen im Gestalten-Dialogfenster vornehmen.

5. Den Gestaltungsablauf über die ”aktivieren”-Checkbox im Gestalten-Dialogfenster gültig geben und den Eingabemodus über die rechte Maustaste (F2-Taste) verlassen.

6. Die Einstellungen können über den Speichern-Schalter in eine Datei abspeichert werden.

.topic 531
Schrittweiten für Leben und Neue

tragen Sie bitte für Leben einen Wert von 0 bis 511 und für Neue einen Wert von 0 bis 255 ein.
Diese Werte werden bei der Angabe einer neuen Rechenregel zu den bestehenden Werten von Leben und Neue addiert.

Sinnvolle Leben-Werte für das Gestalten von Mikroorganismen sollten in dem Bereich von 0 bis 4 und für das Suchen nach neuen, markanten Rechenregeln zwischen 1 und 4  liegen.

Für Suchen ist die Checkmarke ”zufällig in diesem Bereich” zu entfernen.

Der Wert unter Neue kann größer sein und wird für die Angabe der neuen Rechenregel zuerst verwendet, wenn die Checkbox ”zufällig in diesem Bereich” demarkiert ist.

.topic 532
Schrittweiten für Leben und Neue

tragen Sie bitte für Leben einen Wert von 0 bis 511 und für Neue einen Wert von 0 bis 255 ein. Diese Werte werden bei der Angabe einer neuen Rechenregel zu den bestehenden Werten von Leben und Neue addiert.

Sinnvolle Leben-Werte für das Gestalten von Mikroorganismen sollten in dem Bereich von 0 bis 4 und für das Suchen nach neuen, markanten Rechenregeln zwischen 1 und 4  liegen.

Für Suchen ist die Checkmarke ”zufällig in diesem Bereich” zu entfernen.

Der Wert unter Neue kann größer sein und wird für die Angabe der neuen Rechenregel zuerst verwendet, wenn die Checkbox ”zufällig in diesem Bereich” demarkiert ist.

.topic 533
zufällig in diesem Bereich

wenn markiert, werden in dem Bereich der Schrittweiten von Leben und Neue zufällige Werte gebildet, die immer zu der gewählten Ausgangsrechenregel addiert werden.

Wenn demarkiert, werden die Werte von Leben und Neue zu der bestehenden Rechenregel addiert, wodurch die neue Rechenvorschrift entsteht.

.topic 535
Generationen für Wechsel und Ende

der Wert unter Wechsel bestimmt die Schrittweite der Generationen, nach der zu einer neuen Rechenregel gewechselt werden soll.

Für einen Wert von 50 wird für die Berechnung der Generationen ab 51, 101, 151, 201,... eine neue Rechenregel verwendet.

Mit der Generation unter Ende wird die Gestaltung des Mikroorganismus  abgeschlossen und der Ablauf mit dem Ausgangsmuster und einer neuen Rechenregel fortgesetzt.

Für das Suchen nach neuen Rechenregeln ist der Wert von Ende gleich dem von Wechsel zu setzen.

.topic 536
Generationen für Wechsel und Ende

der Wert unter Wechsel bestimmt die Schrittweite der Generationen, nach der zu einer neuen Rechenregel gewechselt werden soll.

Für einen Wert von 50 wird für die Berechnung der Generationen ab 51, 101, 151, 201,... eine neue Rechenregel verwendet.

Mit der Generation unter Ende wird die Gestaltung des Mikroorganismus  abgeschlossen und der Ablauf mit dem Ausgangsmuster und einer neuen Rechenregel fortgesetzt.

Für das Suchen nach neuen Rechenregeln ist der Wert von Ende gleich dem von Wechsel zu setzen.

.topic 537
Nachfrage vor Generation 0

wenn markiert, wird der Programmablauf durch Ausgabe eines Benachrichtigungsfensters unterbrochen, bevor der letzte Mikroorganismus des Gestaltungsablaufes angezeigt wird.

.topic 538
aktivieren

ist diese Checkbox markiert, wird Color LIFE Sound mit dem Gestaltungsablauf fortgesetzt. Nach dem Programmstart wird ein unterbrochener Ablauf fortgeführt.

.topic 539
aus RR-Liste

wenn markiert, wird die neue Rechenvorschrift der Comboboxliste des Generationen-Dialogfensters entnommen.

Hierzu geben die Werte der Schrittweiten von Leben und Neue den Start- und Endwert der bedeutenden Rechenregeln in der Comboboxliste an.

.topic 545
Speichern...

hierdurch wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen, über das die aktuellen Einstellungen für den Gestaltungsablauf in eine Datei abspeichert werden können.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ”.Gen” für Gestalten.

.topic 546
Laden...

hierdurch wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen, über das die  Gestaltungsvorgaben aus einer abgespeicherten Datei wieder eingeholt werden können.

.topic 621
Start / Stop !

Startet die Klangausgabe des sichtbaren Generationsanteils nach der Berechnung und Ausgabe zum Fenster. Eine laufende Klangausgabe wird sofort beendet.

.topic 625
Modus

- von oben

die Zellen aller Generationszeilen werden von oben abgearbeitet (nur von links nach rechts, nicht zurück).

- von links

die Zellen der Generationsspalten werden von links (hin von oben nach unten und zurück von unten nach oben) abgearbeitet.

- von aussen

bei diesem Modus wird der Klang einer Generation spiralförmig von aussen wiedergegeben.

- von unten

die Zellen aller Generationszeilen werden von unten (hin von rechts nach links und zurück von links nach rechts) abgearbeitet.

- von rechts

die Zellen der Generationsspalten werden von rechts abgearbeitet (nur von unten, nicht zurück).

- von innen

dieser Modus gibt den Klang einer Generation spiralförmig von innen wieder.

Beachten Sie bitte hierzu die Ausgabe der Klang- und Zuhörerposition im Klanggrafik-Dialogfenster.

.topic 622
nur das Muster

Ohne Checkmarke, wird das größte gemeinsame Rechteck der Generation in Klangpositionen für den Zuhörer umgesetzt.
Hierbei werden auch alle Felder von Zeilen und Spalten ohne Zellen berücksichtigt.

Wenn markiert, werden die Klänge nicht für das umfassende Rechteck der Generation, sondern nur von der ersten bis zur letzten Zelle jeder Zeile und Spalte ausgegeben.

Bei Leerzeilen und Leerspalten wird der Zuhörer auf die Klangposition für das letzte Leerfeld gesetzt.

.topic 623
Takt

Hier wird eingestellt wie schnell dem Zuhörer (Ihnen) eine neue Position zugewiesen wird.

Verändern Sie hierzu bitte den Regler entsprechend.

Der durch die Reglerstufe resultierende Takt ist von der Geschwindigkeit des Prozessors abhängig.

.topic 627
Leerfeldposition

Bestimmen Sie hier Ihre z-Position für ein Leerfeld. Ein Leerfeld ist ein Feld innerhalb der Generation auf dem sich keine Zelle befindet. Für “unverändert” verbleiben Sie an der z-Position der letzten Zelle. „Zufällig“ wählt wahlfrei eine Raumtiefe.

.topic 622
Raumgröße

Hier wählen Sie den Multiplikator zur Berechnung der Raumpositionen der Klänge und des Zuhörers. Ein hoher Wert vergrößert den Raum und es ergeben sich Doppler-Effekte. Der zulässige Wert ist von null bis 99. Null belässt die Klänge und den Zuhörer an der gleichen Position.

.topic 628
Sounds

Hier werden die 24 Sounds des aktuellen Klangthemas ausgewählt. Alle Sounds werden wiederholend und gleichzeitig wiedergegeben.

.topic 626
Klangthema

Zur Auswahl steht das Basisklangthema „Color LIFE“, zwei Klangthemen mit musikalischen Klängen und eines mit einer bunten Klangsammlung.

Jedes Thema enthält 24 Klang-Auswahlfelder.

.topic 629
Lautstärke

Mit dem Schieberegler kann für jeden Klang die Lautstärke eingestellt werden.

Hierzu müssen Sie den Eingabefocus mit den Pfeiltasten auf den gewünschten Klang stellen und danach mit dem Schieberegler die Lautstärke verändern.
Mit der Tab-Taste navigieren Sie zu den Klang-Auswahlfeldern des Dialogfensters.

.topic 620
Speichern

hiermit werden die Klangeinstellungen mit den aktuellen Gestaltungsdaten in eine Datei abspeichert.

Geben Sie hierzu den Pfad und Namen der Datei ein. Die Dateiendung ist standardmäßig ".Klg" für Klang.

.topic 621
Laden

hiermit werden die  Klang- und Gestaltungsdaten aus einer Klangdatei wieder eingeholt.

Beachten Sie bitte bei den mitgelieferten Klangdateien, dass der Takt von der Prozessorgeschwindigkeit abhängt und somit auf jedem PC verschieden ist.

.topic 511
Ausgabemodus

wählen Sie hier die Darstellungsart der Generationen in dem Color LIFE Sound-Fenster von Windows:

- Zellenform

die einzelnen Zellen werden getrennt voneinander in der aktuellen Zellengröße als Kreis ausgegeben.

- Linienform

hier wird der Mikroorganismus in Pixelgröße ausgegeben.
Die vorhandenen Nachbarzellen werden durch eine Linie mit jedem Mikroorganismus verkettet.

- beide Modi

in der linken Fensterhälfte werden die Generationen in Zellenform und in der rechten Hälfte in Linienform dargestellt.

.topic 513
Direkte Grafik

die Grafikausgabe kann von Color LIIFE Sound über das Graphics Device Interface (GDI) oder mit Direkter Grafik (DirectDraw) direkt zur Grafikkarte vorgenommen werden.

.topic 514
Hintergrund

- weiß, grün, hellgrau, schwarz, blau, orange, rot, braun

wählen Sie hier die gewünschte Farbe des Hintergrundes für die Darstellung der Generationen aus.
Hierdurch wird auch eine neue Farbpalette für die Zellen gültig die mit dem Hintergrund harmoniert.

- selbstdefiniert

wenn markiert, ist die von Ihnen in dem Palette-Dialogfenster erstellte Farbpalette gültig.

Nähere Hinweise zu dem Erstellen ihrer Farbpalette erhalten Sie über die Hilfetaste des Palettendialogfensters oder über die Inhaltstaste der Hilfeanwendung.

.topic 515
Zellengröße

geben Sie in der Editierkontrolle den gewünschten Durchmesser der Zelle in Pixelwerten des Bildschirmes ein. Ein bis dreißig Pixel sind erlaubt. Mit markierter Checkbox „< 1“ minus 10 bis dreißig (s. kleiner eins).

Anm.: Eine schnelle Änderung der Zellengröße wird über die Zifferntasten 0 bis 9 ermöglicht, wobei die null den Durchmesser für die Eingabe der Generation 0 wieder herstellt.

.topic 516
variabel

wenn markiert, variiert Color LIFE Sound ausgehend von dem aktuellen Durchmesser selbständig die Zellengröße. Richtlinie hierbei ist, dass alle Zellen einer Generation in dem Fenster dargestellt werden können. Der variable Durchmesser des Mikroorganismus geht von eins bis sechzehn. Wenn die Checkbox „< 1“ markiert ist von minus zehn bis sechzehn (s. kleiner eins).

Das Markierungsfeld wird bei einer gültigen Neueingabe der Zellengröße automatisch demarkiert und bei jeder Eingabe von Generation 0 markiert.

.topic 518
dezimal (* 10)

Bei einem dezimalen Zellendurchmesser kleiner als drei Pixel, werden auch teilweise oder ganz verdeckte Zellen bei der Ausgabe berücksichtigt.

Hierbei wird die Zellenfarbe als Mittelwert der Palettenindizes aller beteiligten Zellen angezeigt.

Bei einem dezimalen Zellendurchmesser genauer als ein Pixel, ist wegen fehlender Zuordnung keine Zelleneingabe zugelassen.

.topic 517
kleiner eins (< 1)

wenn markiert, darf Color LIFE Sound die Generation auch mit Zellengrößen kleiner als ein Pixel anzeigen. Die Werte werden als negative Zahlen in die Editierkontrolle eingetragen: -2 für 1/2, -3 für 1/3, ... bis -10 für 1/10.

.topic 551
Modus

wählen Sie hier die Farbdarstellungsart der Generationen:

- Zellenalter

die Zellenfarbe wechselt mit dem Alter der Zelle.

- Generation

die Zellenfarbe ist von der Generation abhängig in der sie entsteht.

Ein neuer Modus verändert die Zuhörerposition einer Klangausgabe.

.topic 553
Anzahl

geben Sie hier die Anzahl der Farben zur Darstellung der Generationen an:

bei bis zu 16 Farben werden nur Grundfarben verwendet. Bei mehr als 16 Farben werden die Grundfarben mit ihren ersten Schattierungen eingesetzt.

Wenn die ausgewählte Farbanzahl erreicht ist, wird wieder zur ersten Farbe gewechselt.

Bei den ersten Standard-Rechenregeln ist für eine bunte Darstellung der Generationen die Farbanzahl auf die 16 Grundfarben zu begrenzen.

Die Farbanzahl beeinflusst die Klangausgabe:

eine geringere Farbanzahl führt zu einer schnelleren Veränderung der Zuhörerposition. Hierbei kommt es zu einem Klangbruch, wenn mehr Generationen berechnet wurden als Farben vorhanden sind.

.topic 554
Mittelwert

wenn markiert, werden überlagerte Zellen mit einem dezimalen Durchmesser kleiner als drei Pixel durch die Mittelwerte ihrer Farben dargestellt. Hierdurch werden die Generationen mit Farben dargestellt, die außerhalb der gewählten Palette liegen.

Wenn demarkiert, werden die Zellenfarben über den  Mittelwert der Palettenindizes ermittelt.

Beide Darstellungen haben nur Einfluss auf dezimale Zellendurchmesser, wenn diese genauer als ein Pixel sind.

.topic 552
Wechsel

gibt die Anzahl der Generationen an, nach denen die Zellen in der nächsten Farbe der aktuellen Palette angezeigt werden.

Zur Darstellung von komplexen Mustern sollten Sie hier einen Wert größer als eins eingeben: für Schmetterlingsmuster mit 1000 Generationen ergibt ein Wert von vier eine gute Darstellung.

Ein größerer Wert verzögert bei einer Klangausgabe einen Klangbruch.

.topic 580
Farbenfelder mit Hintergrundfarbe

Die Farbenfelder zeigen die Grundfarben oder 16 Palettenfarben über der Hintergrundfarbe an. Eine Auswahl kann nur über den Mauszeiger erfolgen.

.topic 572
Grundfarben ...

In den Farbenfeldern werden die 16 Grundfarben der aktuellen Farbpalette angezeigt.

Alle weiteren Farben der Palette werden von diesen Grundfarben über die eingestellten RGB-Schrittweiten abgeleitet.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der Grundfarben der Palette geöffnet.

Bei einer nochmaligen Betätigung wechselt "RGB-Schrittweiten" zu "Grundfarbwert 1" und in den RGB-Editierfeldern kann der Farbwert der ersten Grundfarbe verändert werden.

Wird der Mauszeiger über einem Farbfeld gedrückt, können weitere Grundfarben oder die Hintergrundfarbe eingegeben werden.

.topic 573
nur die erste (Grundfarbe)

wenn markiert, wird nur die erste Grundfarbe zur Ermittlung der Schattierungen der selbstdefinierten Palette herangezogen.  Hierdurch wird ein weiches Farbbild mit sanften Übergängen zur Darstellung der Generationen erzeugt.

.topic 574
fortlaufend

wenn markiert, werden die Grundfarben nach jeder Generationsberechnung um die  aktuellen RGB-Schrittweiten verändert. Ist „nur die erste“ Checkbox markiert, wird nur die erste Grundfarbe neu berechnet.

Werden nach der Markierung der Checkmarke die RGB-Schrittweiten verändert, hat dieses nur noch Auswirkungen auf die Schrittweiten der 15 Schattierungswerte jeder Grundfarbe, beeinflusst aber nicht mehr die Schrittweiten der Grundfarben selbst.

Bei einer Spielpause werden die neuen Farben für die aktuelle Generation fortlaufend neu berechnet und angezeigt.

.topic 575
Farbendialog

wenn markiert, wird auf Betätigung der Tasten Grundfarben, Hintergrund und Palette zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der Palettefarben geöffnet.

.topic 571
Hintergrund...

"RGB-Schrittweiten" ändert sich zu "Hintergrundfarbwert". In den Editierfeldern kann die Hintergrundfarbe verändert werden.

In den Farbenfeldern werden über der Hintergrundfarbe die Grundfarben angezeigt.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur Auswahl der Hintergrundfarbe geöffnet

.topic 576
RGB-Schrittweiten

bestimmt die Schrittweiten mit der die Schattierungswerte der selbstdefinierten Farbpalette von den Grundfarben neu abgeleitet werden (-17 bis 17).

Sie können hier die Werte für rot, grün und blau aus denen sich eine Farbe zusammensetzt getrennt eingeben.

Eine große Schrittweite führt zu starken Veränderungen der abgeleiteten Farbwerte von den Grundfarben.

.topic 577
Palette ...

"Grundfarben" ändert sich zu "Palettenfarben 1 - 16" und "RGB-Schrittweiten" zu "Palettefarbwert 1".

In den Farbfeldern werden die ersten 16 Farben der aktuellen Farbpalette mit einer Grundfarbe und den davon abgeleiteten Schattierungen angezeigt.

In den RGB-Editierfeldern kann jede Palettenfarbe einzeln verändert werden.
Auf jede weitere Betätigung der Palette-Taste werden die nächsten 16 Farben der Palette in den Farbfeldern angezeigt.

Ist die Farbendialog-Checkbox markiert wird zusätzlich das Farbe-Dialogfenster von Windows zur komfortablen Auswahl der aktuellen 16 Palettenfarben geöffnet.

.topic 578
Speichern . . .

Zur Abspeicherung der selbstdefinierten Palette wird zusätzlich das Dialogfenster "Datei Speichern unter" aufgerufen.

Wählen Sie hierzu den Pfad und Namen der Datei aus. Die Dateiendung ist standardmäßig ".PAL" für Palette.

.topic 579
Laden . . .

Zum Einholen einer Farbpalette wird zusätzlich das Dialogfenster "Datei Öffnen" aufgerufen.

Nach dem Laden ist die selbstdefinierte Palette der Grafik-Dialogbox automatisch selektiert.

.topic 600
Klanggrafik

Mit Klanggrafik wird die Generation zellenweise direkt zum Display ausgegeben.

Hierzu können Sie den Ausgabemodus und auch die Geschwindigkeit mit den Einstellungen auf der Klang-Dialogseite verändern.

.topic 601
An

Schaltet zu einer laufenden Klangausgabe die Klanggrafik ein.

Wenn kein Sound ausgewählt ist wird die Klanggrafik sehr schnell ausgegeben.

.topic 602
Leerfeldpunkt

In dem Klangmuster wird für Zellengrößen größer oder gleich drei für Leerfelder ein Punkt (Pixel) ausgegeben.

.topic 603
SetPixel

Bei Problemen mit der Pixelausgabe direkt zum Display kann hier auch eine Ausgabe mit der PatBlt-Anweisung ausgewählt werden.

.topic 610
Sounds

In den X, Y und Z-Ausgabefenstern wird die Position aller laufenden Sounds ausgegeben.

Die Sounds werden in der Mitte des virtuellen Klangraumes abgespielt.

.topic 611
Zuhörer

In den X, Y und Z-Ausgabefenstern wird die Zuhörerposition für das aktuelle Generationsfeld ausgegeben.

Der Farbindex der Zelle bestimmt die z-Position des Zuhörers.


Hinweis

Die Werte der aktuell ausgewählten Palette ersetzen vollständig die der selbstdefinierten Palette der Grafik-Dialogbox. Nach der Auswahl ist die selbstdefinierte Farbpalette der Grafik-Dialogbox automatisch selektiert.


Anmerkung

eine geänderte Auswahl wird erst für die nächsten Generationen wirksam und entzweit das Erscheinungsbild eines sich entwickelnden Mikroorganismus !

Nach oben